Scriptname NecroLichLucidNightmareScript extends activemagiceffect  

int OriginalConfidence
int OriginalAggression

actor target
actor caster

Event OnUpdate()
target.damageActorValue("Magicka", 20)
caster.restoreActorValue("Magicka", 20)
RegisterForSingleUpdate(1.0)
EndEvent


Event OnEffectStart(Actor akTarget, Actor akCaster)
caster = akCaster
target = akTarget
RegisterForSingleUpdate(1)
If (akTarget.GetLevel()) <= (Game.GetPlayer().GetLevel())

  int Coinflip = Utility.RandomInt() as int
  OriginalConfidence = akTarget.GetActorValue("Confidence") as int
  OriginalAggression = akTarget.GetActorValue("Aggression") as int
  If Coinflip > 50
    akTarget.SetActorValue("Aggression", 3)
	Debug.Notification(akTarget.GetLeveledActorBase().GetName() + " has been afflicted by Lucid Nightmare and turns to flee")
  Else 
     akTarget.SetActorValue("Confidence", 0)
	 Debug.Notification(akTarget.GetLeveledActorBase().GetName() + " has been afflicted by Lucid Nightmare and is driven into a mad frenzy")
  Endif
Else
Debug.Notification(akTarget.GetLeveledActorBase().GetName() + " resisted Lucid Nightmare")
Endif
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
akTarget.SetActorValue("Confidence", OriginalConfidence)
akTarget.SetActorValue("Aggression", OriginalAggression)
EndEvent


