Scriptname NecroPhylacteryInfernalPotencyScript extends ObjectReference  

Event OnActivate(ObjectReference akActionRef)
If Game.GetPlayer().HasPerk(NecroInfernalPotency) == True && (Game.GetPlayer().GetItemCount(SoulGemBlackFilled) >= 1) 
    Game.GetPlayer().RemoveItem(SoulGemBlackFilled, 1)
    NecroPhylacterySoulCount.Mod(1.0)
	SoulTrapSoundFX.play(Game.GetPlayer())
	Debug.Messagebox("Your phylactery absorbs a black soul, increasing your spell effectiveness by 10% and granting you access to infernal spells. The soul dissipates from your phylactery after 12 hours. ")
	Game.GetPlayer().AddSpell(NecroInfernalFlames, true)
	Game.GetPlayer().Addspell(NecroInfernalSurgeSpell, true)
	Game.GetPlayer().Addspell(NecroDevourMagickaSpell, true)
	Game.GetPlayer().Addspell(NecroLichSoulfireSpell, true)
	Game.GetPlayer().Addspell(NecroPowerOverwhelmingSpell, true)
	Game.GetPlayer().Addspell(NecroLichSoulCurse, true)
    Game.GetPlayer().AddSpell(NecroInfernalPotencySoulSpell, false)
EndIf
Endevent

Perk Property NecroInfernalPotency Auto
SoulGem Property SoulGemBlackFilled Auto
GlobalVariable Property NecroPhylacterySoulCount Auto
Spell Property NecroInfernalFlames Auto
Spell Property NecroInfernalSurgeSpell Auto
Spell Property NecroDevourMagickaSpell Auto
Spell Property NecroLichSoulfireSpell Auto
Spell Property NecroPowerOverwhelmingSpell Auto
Spell Property NecroLichSoulCurse Auto
Spell Property NecroInfernalPotencySoulSpell Auto

Sound Property SoulTrapSoundFX Auto