Scriptname SiphonSoulScript extends activemagiceffect  


VisualEffect property TargetVFX auto
VisualEffect property CasterVFX auto
EffectShader property CasterFXS auto
EffectShader property TargetFXS auto

int GimmeYourHealth

Event OnEffectFinish(Actor akTarget, Actor akCaster)
GimmeYourHealth = akTarget.GetActorValue("Health")  as int
Utility.Wait(1.0)
akTarget.Kill(None)
Debug.Notification("You have siphoned " + akTarget.GetLeveledActorBase().GetName() + "'s soul")
TargetVFX.Play(AkTarget,4.7,akCaster)              ; Play TargetVFX and aim them at the player
CasterVFX.Play(AkCaster,5.9,AkTarget)
TargetFXS.Play(AkTarget,2)    						; Play Effect Shaders
CasterFXS.Play(AkCaster,3)

akCaster.RestoreActorValue("Health", GimmeYourHealth * 10/100)
EndEvent


